Index: /extensions/AMetaData/JpegMetaData/JpegMetaData.class.php
===================================================================
--- /extensions/AMetaData/JpegMetaData/JpegMetaData.class.php	(revision 5788)
+++ /extensions/AMetaData/JpegMetaData/JpegMetaData.class.php	(revision 5789)
@@ -130,5 +130,5 @@
 
     private $jpeg = null;
-    private $tags = Array();
+    protected $tags = Array();
     private $options = Array();
 
@@ -575,5 +575,5 @@
      * MagicTags are build with this function
      */
-    private function processMagicTags()
+    protected function processMagicTags()
     {
       $magicTags=new MagicTags();
@@ -601,4 +601,6 @@
             ));
 
+            $returned=$this->processSpecialMagicTag($key, $returned);
+
             $tag->setValue($returned);
             $tag->setLabel($returned);
@@ -628,5 +630,5 @@
      * @return String : the tag value
      */
-    private function processMagicTagsCB($matches)
+    protected function processMagicTagsCB($matches)
     {
       $label="";
@@ -672,4 +674,23 @@
     }
 
+    /**
+     *
+     *
+     */
+    protected function processSpecialMagicTag($key, $value)
+    {
+      switch($key)
+      {
+        case "GPS.LatitudeNum":
+        case "GPS.LongitudeNum":
+          preg_match_all('/(\d{1,3})°\s*(\d{1,2})\'(?:\s*(\d+(?:\.\d+)?)")?[\s\|\.]*(N|S|E|W)/i', $value, $result);
+          $num=(float)$result[1][0] + ((float) $result[2][0])/60;
+          if($result[3][0]!="") $num+= ((float) $result[3][0])/3600;
+          if($result[4][0]=="W" or $result[4][0]=="S") $num=-$num;
+          return($num);
+        default:
+          return($value);
+      }
+    }
 
 
Index: /extensions/AMetaData/JpegMetaData/TagDefinitions/MagicTags.class.php
===================================================================
--- /extensions/AMetaData/JpegMetaData/TagDefinitions/MagicTags.class.php	(revision 5788)
+++ /extensions/AMetaData/JpegMetaData/TagDefinitions/MagicTags.class.php	(revision 5789)
@@ -325,4 +325,31 @@
       ),
 
+      'GPS.Localization' => Array(
+        'implemented'  => true,
+        'translatable' => true,
+        'tagValues' => Array(
+          "{magic.GPS.Latitude}|, |{magic.GPS.Longitude}"
+        )
+      ),
+
+      'GPS.LatitudeNum' => Array(
+        'implemented'  => true,
+        'translatable' => false,
+        'tagValues' => Array(
+          "{magic.GPS.Latitude}"
+        )
+      ),
+
+      'GPS.LongitudeNum' => Array(
+        'implemented'  => true,
+        'translatable' => false,
+        'tagValues' => Array(
+          "{magic.GPS.Longitude}"
+        )
+      ),
+
+
+
+
     );
 
